// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal

ServerEvents.recipes(event => {
    event.remove({ id: 'efn:hf_murasama_blade' })
    event.remove({ id: 'efn:yamato_dmc_in_sheath' })
    event.remove({ id: 'efn:yamato_dmc4_in_sheath' })
});

ServerEvents.recipes(event => {
    event.shaped('efn:hf_murasama_blade', [
      ' dh',
      'dhd',
      'cd '
    ], {
      c: 'terramity:murasama',  
      h: 'efn:hf_ingot',
      d: 'minecraft:diamond'    
    });
  });

ServerEvents.recipes(event => {
  event.smithing(
    'efn:yamato_dmc_in_sheath',
    'terramity:ultra_sniffer_fur',
    'efn:hf_murasama',
    'lethality:charged_redstone_piece'
  )
  event.smithing(
    'efn:yamato_dmc4_in_sheath',
    'lethality:charged_redstone_piece',
    'efn:hf_murasama',
    'terramity:ultra_sniffer_fur'
  )
})